summaryrefslogtreecommitdiffstats
path: root/network/knemo
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-05-13 01:00:04 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 01:00:04 +0200
commit7ce202d67b258dff2b2d286c1b2e2f463675c965 (patch)
tree0bb0af88865d1450d8b0b006503ebaaafff19b1a /network/knemo
parentc3a23213a9a171a67d48b837b7e53987a24bc7bb (diff)
downloadslackbuilds-7ce202d67b258dff2b2d286c1b2e2f463675c965.tar.gz
slackbuilds-7ce202d67b258dff2b2d286c1b2e2f463675c965.tar.xz
network/knemo: Added to 13.0 repository
Diffstat (limited to 'network/knemo')
-rw-r--r--network/knemo/README8
-rw-r--r--network/knemo/doinst.sh4
-rw-r--r--network/knemo/knemo.SlackBuild73
-rw-r--r--network/knemo/knemo.info10
-rw-r--r--network/knemo/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/network/knemo/README b/network/knemo/README
new file mode 100644
index 0000000000..a6e4adaa72
--- /dev/null
+++ b/network/knemo/README
@@ -0,0 +1,8 @@
+kNemo (KDE Network Monitor) offers a network monitor similar to the one found
+in Windows. It displays for every network interface an icon in the systray.
+Tooltips and an info dialog provide further information about the interface.
+Passive popups inform about interface changes. A traffic plotter is also
+integrated.
+
+knemo polls the network interface status every second using the ifconfig,
+route, and iwconfig.
diff --git a/network/knemo/doinst.sh b/network/knemo/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/network/knemo/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/network/knemo/knemo.SlackBuild b/network/knemo/knemo.SlackBuild
new file mode 100644
index 0000000000..450aea8739
--- /dev/null
+++ b/network/knemo/knemo.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for: knemo
+# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+# Modified by the SlackBuilds.org project
+# Update by: Andre Barboza <bmg.andre@gmail.com>
+
+set -e
+
+PRGNAM=knemo
+VERSION=0.5.80
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xvf $CWD/*-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake . \
+ -DCMAKE_INSTALL_PREFIX=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/knemo/knemo.info b/network/knemo/knemo.info
new file mode 100644
index 0000000000..c1c1c53551
--- /dev/null
+++ b/network/knemo/knemo.info
@@ -0,0 +1,10 @@
+PRGNAM="knemo"
+VERSION="0.5.80"
+HOMEPAGE="http://www.kde-apps.org/content/show.php?content=12956"
+DOWNLOAD="http://www.kde-apps.org/CONTENT/content-files/12956-knemo-0.5.80.tar.gz"
+MD5SUM="d8e5600eda795c1acc1ec56dd5242391"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/knemo/slack-desc b/network/knemo/slack-desc
new file mode 100644
index 0000000000..3949cefc4c
--- /dev/null
+++ b/network/knemo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+knemo: knemo (KDE Network Monitor)
+knemo:
+knemo: KNemo offers a network monitor similar to the one found in Windows. It
+knemo: displays for every network interface an icon in the systray. Tooltips
+knemo: and an info dialog provide further information about the interface.
+knemo: Passive popups inform about interface changes. A traffic plotter is
+knemo: also integrated.
+knemo:
+knemo: knemo polls the network interface status every second using the
+knemo: ifconfig, route and iwconfig too
+knemo: